Package org.eclipse.net4j.util.cache

## Interface ICacheProbe

- All Known Subinterfaces:
    `ICacheRegistration`
  All Known Implementing Classes:
    `CacheRegistration`

      public interface ICacheProbe

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `elementCached​(int elementSize)` |
    `void` | `elementEvicted​(int elementSize)` |
    `void` | `elementReconstructed​(long reconstructionTime)` |
    `long` | `getAverageElementSize()` |
    `long` | `getCacheSize()` |
    `int` | `getElementCount()` |
    `long` | `getReconstructionCost()` |
    `boolean` | `isDisposed()` |

- - ### Method Detail

    - #### isDisposed

          boolean isDisposed()

    - #### elementCached

          void elementCached​(int elementSize)

    - #### elementEvicted

          void elementEvicted​(int elementSize)

    - #### elementReconstructed

          void elementReconstructed​(long reconstructionTime)

    - #### getElementCount

          int getElementCount()

    - #### getCacheSize

          long getCacheSize()

    - #### getAverageElementSize

          long getAverageElementSize()

    - #### getReconstructionCost

          long getReconstructionCost()